Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractDataScroller

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractDataScroller

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.event.DataScrollSource

Direct Known Subclasses:
  UIDataScroller

    public abstract class AbstractDataScroller

extends javax.faces.component.UIComponentBase
implements org.richfaces.event.DataScrollSource, org.ajax4jsf.component.IterationStateHolder

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `FAST_FORWARD_FACET_NAME`
`static java.lang.String` | `FAST_REWIND_FACET_NAME`
`static java.lang.String` | `FIRST_DISABLED_FACET_NAME`
`static java.lang.String` | `FIRST_FACET_NAME`
`static java.lang.String` | `LAST_DISABLED_FACET_NAME`
`static java.lang.String` | `LAST_FACET_NAME`
`static java.lang.String` | `NEXT_FACET_NAME`
`static java.lang.String` | `PAGEMODE_FULL`
`static java.lang.String` | `PAGEMODE_SHORT`
`static java.lang.String` | `PREVIOUS_FACET_NAME`
`static java.lang.String` | `SCROLLER_STATE_ATTRIBUTE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractDataScroller()`

Method Summary
`void` | `addScrollListener(org.richfaces.event.DataScrollListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`abstract org.richfaces.component.DataScrollerControlsMode` | `getBoundaryControls()`
`javax.faces.component.UIComponent` | `getDataTable()` Finds the dataTable which id is mapped to the "for" property
`abstract org.richfaces.component.DataScrollerControlsMode` | `getFastControls()`
`abstract javax.faces.component.UIComponent` | `getFastForward()`
`abstract javax.faces.component.UIComponent` | `getFastRewind()`
`abstract int` | `getFastStep()`
`int` | `getFastStepOrDefault()`
`javax.faces.component.UIComponent` | `getFirst()`
`java.lang.String` | `getFor()`
`java.lang.Object` | `getIterationState()`
`abstract javax.faces.component.UIComponent` | `getLast()`
`abstract java.lang.String` | `getLastPageMode()`
`abstract int` | `getMaxPages()`
`int` | `getMaxPagesOrDefault()`
`abstract javax.faces.component.UIComponent` | `getNext()`
`int` | `getPage()`
`int` | `getPageCount()`
`int` | `getPageCount(javax.faces.component.UIComponent data)`
`int` | `getPageCount(javax.faces.component.UIComponent data, int rowCount, int rows)`
`int` | `getPageForFacet(java.lang.String facetName)`
`abstract javax.faces.component.UIComponent` | `getPrevious()`
`abstract java.lang.Object` | `getRender()`
`int` | `getRowCount()`
`int` | `getRowCount(javax.faces.component.UIComponent data)`
`int` | `getRows(javax.faces.component.UIComponent data)`
`org.richfaces.event.DataScrollListener[]` | `getScrollListeners()`
`abstract org.richfaces.component.DataScrollerControlsMode` | `getStepControls()`
`boolean` | `isLocalPageSet()`
`abstract boolean` | `isRenderIfSinglePage()`
`void` | `removeScrollListener(org.richfaces.event.DataScrollListener listener)`
`void` | `resetLocalPage()`
`void` | `setFor(java.lang.String forId)`
`void` | `setIterationState(java.lang.Object state)`
`void` | `setPage(int newPage)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### SCROLLER_STATE_ATTRIBUTE

    public static final java.lang.String SCROLLER_STATE_ATTRIBUTE

See Also:
  Constant Field Values

### FIRST_FACET_NAME

    public static final java.lang.String FIRST_FACET_NAME

See Also:
  Constant Field Values

### LAST_FACET_NAME

    public static final java.lang.String LAST_FACET_NAME

See Also:
  Constant Field Values

### NEXT_FACET_NAME

    public static final java.lang.String NEXT_FACET_NAME

See Also:
  Constant Field Values

### PREVIOUS_FACET_NAME

    public static final java.lang.String PREVIOUS_FACET_NAME

See Also:
  Constant Field Values

### FAST_FORWARD_FACET_NAME

    public static final java.lang.String FAST_FORWARD_FACET_NAME

See Also:
  Constant Field Values

### FAST_REWIND_FACET_NAME

    public static final java.lang.String FAST_REWIND_FACET_NAME

See Also:
  Constant Field Values

### FIRST_DISABLED_FACET_NAME

    public static final java.lang.String FIRST_DISABLED_FACET_NAME

See Also:
  Constant Field Values

### LAST_DISABLED_FACET_NAME

    public static final java.lang.String LAST_DISABLED_FACET_NAME

See Also:
  Constant Field Values

### PAGEMODE_FULL

    public static final java.lang.String PAGEMODE_FULL

See Also:
  Constant Field Values

### PAGEMODE_SHORT

    public static final java.lang.String PAGEMODE_SHORT

See Also:
  Constant Field Values

Constructor Detail

### AbstractDataScroller

    public AbstractDataScroller()

Method Detail

### isRenderIfSinglePage

    public abstract boolean isRenderIfSinglePage()

### getLastPageMode

    public abstract java.lang.String getLastPageMode()

### getRender

    public abstract java.lang.Object getRender()

### getMaxPages

    public abstract int getMaxPages()

### getMaxPagesOrDefault

    public int getMaxPagesOrDefault()

### getBoundaryControls

    public abstract org.richfaces.component.DataScrollerControlsMode getBoundaryControls()

### getFastControls

    public abstract org.richfaces.component.DataScrollerControlsMode getFastControls()

### getStepControls

    public abstract org.richfaces.component.DataScrollerControlsMode getStepControls()

### getFastStep

    public abstract int getFastStep()

### getFastStepOrDefault

    public int getFastStepOrDefault()

### getFor

    public java.lang.String getFor()

### setFor

    public void setFor(java.lang.String forId)

### addScrollListener

    public void addScrollListener(org.richfaces.event.DataScrollListener listener)

  Specified by:
    `addScrollListener` in interface `org.richfaces.event.DataScrollSource`

### getScrollListeners

    public org.richfaces.event.DataScrollListener[] getScrollListeners()

  Specified by:
    `getScrollListeners` in interface `org.richfaces.event.DataScrollSource`

### removeScrollListener

    public void removeScrollListener(org.richfaces.event.DataScrollListener listener)

  Specified by:
    `removeScrollListener` in interface `org.richfaces.event.DataScrollSource`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### getDataTable

    public javax.faces.component.UIComponent getDataTable()

  Finds the dataTable which id is mapped to the "for" property

  Returns:
    the dataTable component

### getPageForFacet

    public int getPageForFacet(java.lang.String facetName)

### getPageCount

    public int getPageCount(javax.faces.component.UIComponent data)

### getPageCount

    public int getPageCount(javax.faces.component.UIComponent data,
                            int rowCount,
                            int rows)

### getPageCount

    public int getPageCount()

  Returns:
    the page count of the uidata

### getRowCount

    public int getRowCount(javax.faces.component.UIComponent data)

### getRowCount

    public int getRowCount()

  Returns:
    int

### getRows

    public int getRows(javax.faces.component.UIComponent data)

### getFirst

    public javax.faces.component.UIComponent getFirst()

### getLast

    public abstract javax.faces.component.UIComponent getLast()

### getNext

    public abstract javax.faces.component.UIComponent getNext()

### getPrevious

    public abstract javax.faces.component.UIComponent getPrevious()

### getFastForward

    public abstract javax.faces.component.UIComponent getFastForward()

### getFastRewind

    public abstract javax.faces.component.UIComponent getFastRewind()

### setPage

    public void setPage(int newPage)

### getPage

    public int getPage()

### isLocalPageSet

    public boolean isLocalPageSet()

### resetLocalPage

    public void resetLocalPage()

### getIterationState

    public java.lang.Object getIterationState()

  Specified by:
    `getIterationState` in interface `org.ajax4jsf.component.IterationStateHolder`

### setIterationState

    public void setIterationState(java.lang.Object state)

  Specified by:
    `setIterationState` in interface `org.ajax4jsf.component.IterationStateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.